Bug 257392 - databases/mongodb42: Update to 4.2.15
Summary: databases/mongodb42: Update to 4.2.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guangyuan Yang
URL: https://docs.mongodb.com/manual/relea...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-24 18:35 UTC by Ronald Klop
Modified: 2021-09-06 19:25 UTC (History)
1 user (show)

See Also:


Attachments
git diff (2.66 KB, patch)
2021-07-24 18:35 UTC, Ronald Klop
ronald-lists: maintainer-approval+
Details | Diff
git diff (3.27 KB, patch)
2021-08-04 07:06 UTC, Ronald Klop
ronald-lists: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2021-07-24 18:35:54 UTC
Created attachment 226652 [details]
git diff

Pretty simple version bump.

- Plus a fix for compilation on aarch64 on 14-CURRENT/clang 12.
See: https://lists.freebsd.org/archives/freebsd-ports/2021-July/000431.html
Comment 1 Guangyuan Yang freebsd_committer 2021-07-27 04:29:00 UTC
(In reply to Ronald Klop from comment #0)

Looks like a Poudriere build failure - could you check?

====> Running Q/A tests (stage-qa)
Error: '/usr/bin/env python' is an invalid shebang you need USES=shebangfix for 'bin/install_compass'
*** Error code 1

Stop.
make: stopped in /usr/ports/databases/mongodb42
=>> Error: stage-qa failures detected
build of databases/mongodb42 | mongodb42-4.2.15 ended at Mon Jul 26 17:40:48 UTC 2021
build time: 02:15:19
!!! build failure encountered !!!
[02:15:32] Error: Build failed in phase: stage-qa
Comment 2 commit-hook freebsd_committer 2021-07-28 20:31:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=cc55ee8009a550810d38777fd6ace9abf3a2f6b4

commit cc55ee8009a550810d38777fd6ace9abf3a2f6b4
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-07-28 20:30:04 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2021-07-28 20:30:04 +0000

    compilert-rt: build out-of-line LSE atomics helpers for aarch64

    Both clang >= 12 and gcc >= 10.1 now default to -moutline-atomics for
    aarch64. This requires a bunch of helper functions in libcompiler_rt.a,
    to avoid link errors like "undefined symbol: __aarch64_ldadd8_acq_rel".

    (Note: of course you can use -mno-outline-atomics as a workaround too,
    but this would negate the potential performance benefit of the faster
    LSE instructions.)

    Bump __FreeBSD_version so ports maintainers can easily detect this.

    PR:             257392
    MFC after:      2 weeks

 lib/libcompiler_rt/Makefile | 20 ++++++++++++++++++++
 sys/sys/param.h             |  2 +-
 2 files changed, 21 insertions(+), 1 deletion(-)
Comment 3 Ronald Klop 2021-08-04 07:06:57 UTC
Created attachment 226940 [details]
git diff

Restore shebangfix in this new patch. According to stage-qa it is still needed.
Comment 4 commit-hook freebsd_committer 2021-08-05 07:58:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ebd908b18a541438ff40eb2357885ea33f0359eb

commit ebd908b18a541438ff40eb2357885ea33f0359eb
Author:     Ronald Klop <ronald-lists@klop.ws>
AuthorDate: 2021-08-05 07:54:49 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-08-05 07:54:49 +0000

    databases/mongodb42: Update to 4.2.15

    Changelog:      https://docs.mongodb.com/manual/release-notes/4.2-changelog/#std-label-4.2.15-changelog

    PR:             257392

 databases/mongodb42/Makefile               |  6 ++++--
 databases/mongodb42/distinfo               |  6 +++---
 databases/mongodb42/files/patch-SConstruct | 18 ++++++++++++++----
 3 files changed, 21 insertions(+), 9 deletions(-)
Comment 5 Guangyuan Yang freebsd_committer 2021-08-05 08:06:51 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2021-09-06 19:25:03 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=efe67f33c322265eb303ec0ab40275100795b22a

commit efe67f33c322265eb303ec0ab40275100795b22a
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-09-06 19:23:10 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2021-09-06 19:24:01 +0000

    compiler-rt: add aarch64 init function for LSE atomics

    As reported by Ronald, adding the out-of-line LSE atomics helpers for
    aarch64 to compiler-rt was not sufficient to link programs using these,
    as they also require a __aarch64_have_lse_atomics global. This is
    initialized in compiler-rt's lib/builtins/cpu_model.c, roughly similar
    to the x86 CPU model and feature detection in that file.

    Since upstream does not yet have a FreeBSD specific implementation for
    getting the required information, add a simple one that should work for
    now, while I try to get it sorted with the LLVM people.

    Reported by:    Ronald Klop <ronald-lists@klop.ws>
    Fixes:          cc55ee8009a5
    PR:             257392
    MFC after:      2 weeks

 contrib/llvm-project/compiler-rt/lib/builtins/cpu_model.c | 6 ++++++
 lib/libcompiler_rt/Makefile.inc                           | 5 +++--
 2 files changed, 9 insertions(+), 2 deletions(-)